tip: ListUtil.c: loadable library and perl binaries are mismatched

Hi All,

This terrible error too me hours to figure out and the combined help
of both the Perl 5 and Perl 6 chat line.

I hope no one else has to go though the agony I went
through to figure it out.

-T


perl6: zef install error: ListUtil.c: loadable library and perl binaries 
are mismatched

Zef uses Perl 5 and this is a module mismatch error in Perl 5.

To locate the offender, run


# perl -le 'for (@INC) { print $_ if -f "$_/DBI.pm" }'

Then comment out the offender:
     # mv /home/todd/perl5 /home/todd/perl5.000
0
ToddAndMargo
1/10/2018 5:26:11 AM
perl.perl6.users 909 articles. 0 followers. Follow

0 Replies
1 Views

Similar Articles

[PageSpeed] 38

Reply: